﻿--Chinese local by Yeachan @CWDG
--Email:  yeachan@live.com
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("EpicMusicPlayer", "zhCN")
if not L then return end

---- added v1.6
L["Font"] = true
L["Font & Colours"] = true
L["Music off"] = true
L["Game Music"] = true
L["Scroll Gui Text"] = true

--- added v1.5
L["Colours"] = "颜色"
L["Artist color"] = "歌手颜色"
L["Title color"] = "标题颜色"
L["Background color"] = "背景颜色"
L["Border color"] = "边缘颜色"
L["Button color"] = "按钮颜色"
L["Use artist colour"] = "使用歌手颜色"
L["Use artist colour as button colour"] = "使用歌手颜色作为按钮颜色."
L["Frame strata"] = "层"

---- added v1.4
L["Copy song to"] = "复制歌曲到"
L["Copied song"] = "已复制歌曲"
L["Console Controls"] = "控制"
L["Play Next Song"] = "下一曲"
L["Play Last Song"] = "上一曲"
L["Play/Stop"] = "播放/暂停"

L["Drop Down Menu"] = "降低菜单"
L["Spam to default channel"] =  "播放信息到默认频道"
L["Move to bad songs list"] = "移动到歌曲黑名单."
L["Move song to favorite list"] = "移动到歌曲红名单."

L["Mouse Setup"] = "鼠标控制"
L["Left Click"] = "左键单击"
L["Right Click"] = "右键单击"
L["Middle Click"] = "中键单击"
L["Button4"] = "按钮4"
L["Button5"] = "按钮5"
L["Alt+Click"] = "Alt单击"
L["Shift+Click"] = "shift单击"
L["Control+Click"] = "ctrl单击"
L["Alt+Control+Click"] = "Alt+Ctrl+单击"
------

-- controls
L["Controls"] = "控制"
L["Next"] = "下一曲"
L["Play Next Song"] = "播放下一曲"
L["Last"] = "上一曲"
L["Plays the last song."] = "播放上一曲"
L["Play"] = "播放"
L["Play the Music"] = "播放音乐."
L["Stop"] = "停止"
L["Stop playing."] = "停止播放"
L["Playlist"] = "播放列表"
L["Show the Music."] = "显示音乐列表."

--options
L["Spam Link"] = "信息链结"
L["Add a youtube link to chat spam."] = "添加一个Youtube链接到聊天信息中."

L["Shuffle"] = "随机播放"
L["Toggles shuffle."] = "控制是否开启随机播放"

L["Console"] = "控制"
L["Show console commands"] = "显示控制命令"
					
L["Mute"] = "静音"
L["Mute / unmute music sound."] = "打开关闭音乐声音"

L["Show Info"] = "显示信息"
L["Show song and artist on new song"] = "显示歌曲名和歌手"
					
L["Autoplay"] = "自动播放"
L["Toggles auto play on load."] = "控制是否在界面载入后就自动播放"

L["Show Song In Chat"] = "聊天中显示歌名."
L["Show message in your chat when playing a new song."] = "在你播放一首新的歌曲时在聊天窗口中显示"
					
L["Disable WoW Music"] = "关闭WOW声音"
L["Disable WoW Music when not Playing."] = "不播放时关闭WOW的声音"
					
L["Show Gui"] = "显示控制面板"
L["Toggle show gui"] = "显示控制面板"

L["Minimap Button"] = "小地图按钮"
L["Toggle show minimap button"] = "是否显示小地图按钮"
					   
L["Loop Playlist"] = "循环播放列表"
L["Playing the last song of a list will not switch to the next list."] = "播放列表最后一首歌曲时是否切换到下一列表."
					
L["Remove Song"] = "删除歌曲"
L["Remove the playing song from list"] = "从播放列表中删除歌曲"
					   
L["Add Playlist"] = "添加播放列表"
L["Add Playlist"] = "添加播放列表"

L["Remove Playlist"] = "删除播放列表"
L["Remove Playlist"] = "删除播放列表"

L["Default Channel"] = "默认频道"
L["Select the default channel to spam on ctrl+click"] = "选择播放信息发送的频道"

L["Loop Song"] = "单曲循环"
L["Play the current song again and again and again...until your head will explode. A click on next song will disable this."]  = "单曲循环，循环到你头痛为止，单击另一首歌曲会取消单曲循环."

L["General"] = "综合"

L["Bad list"] = "歌曲黑名单"
L["This list will not be played. Unless you select it."] = "这个列表不会被播放，除非你选中它."

L["Set a key in the key bindings menu to move a song to the selected list by that key."] = "设置一个快捷键来快速移动一个歌曲到播放列表."

L["Favorites List"] = "歌曲红名单"


L["Gui Size"] = "控制面板大小." 
L["Adjust the size of the gui"] = "控制面板的大小控制." 

--info messages
L["Playlist not found."] = "播放列表未找到."
L["Read the install file in the addon directory"] = "请查看插件文件夹的install文件说明."
L["Gui not found"] = "控制面板未找到."
L["Playlist error oO Playlist maybe empty."] = "播放列表错误，可能列表无文件."
L["No Target"] = "无目标"
L["Last playlist can not be removed."] = "上一个列表不能删除."
L["[~mymusic~] "] = "[~我的音乐~] "
L["Moved song: "] = "移动歌曲: "
L[" to List: "] = "到列表 : "
L["Not playing."] = "没有播放."

L["Song is already in that list."] = "那个列表已经有这个歌曲了."
-- removed song xxx from list xxx
L["Removed song"] = "已删除歌曲."
L["from list"] = "从列表"
-- Playlist xxx  already exists.
L["already exists."] = "已存在."
L["Added playlist"] = "已添加的列表."
-- Playlist xxx  removed.
L["removed."] = "已删除."
-- Playlist xxx  not found
L["not found."] = "没有找到."

L["Please set a bad songs list."] = "请设置一个黑名单"
L["Please set a favorites list."] = "请设置一个红名单."

L["After current, song will be moved to list"] = "歌曲稍后会移动到列表" 

--playlist
L["Search..."] = "搜索..."
L["No Match"] = "不匹配"
L[" - Title"] = " - 标题"
L["Artist"] = "歌手"
L["Playlists"] = "播放列表"
L["Close"] = "关闭"
L["Clear"] = "清除"

--gui
L["Gui"] = "Gui"
L["List: "] = "列表: "
L["Length: "] = "长度: "
L["Album: "] = "专辑: "

L["Guild"] = "公会"
L["Party"] = "小队"
L["Say"] = "说"
L["To target"] = "对目标"
L["Whisper to"] = "密语"
L["Raid"] = "团队"

L["Config"] = "设置"
L["Play last"] = "播放上一个"
L["Show Dancer"] = "显示乐队舞者"
L["Move song to"] = "移动歌曲到"
L["Spam to"] = "发送信息到"

L["Music volume: "] = "音乐音量.: "
L["Effects vol.: "] = "音效音量.: "
L["Stopped"] = "已停止"


L["Right click and drag to move this button"] = "右键单击拖动这个按钮."


-- key binding variables
BINDING_HEADER_EPICMUSICPLAYER = "EpicMusicPlayer";
BINDING_NAME_PLAYSTOP = "播放/停止";
BINDING_NAME_NEXT = "下一曲";
BINDING_NAME_LAST = "上一曲";
BINDING_NAME_TOGGLELIST = "是否显示列表";
BINDING_NAME_MUTE = "静音";
BINDING_NAME_REMOVESONG = "删除歌曲";
BINDING_NAME_GUI = "设置";
BINDING_NAME_BADLIST = "歌曲黑名单.";
BINDING_NAME_BESTLIST = "歌曲红名单.";
